JavaScript
import { Hyperbrowser } from '@hyperbrowser/sdk';
const client = new Hyperbrowser({ apiKey: 'your-api-key' });
await client.sessions.get('session-id');from hyperbrowser import Hyperbrowser
client = Hyperbrowser(api_key='your-api-key')
client.sessions.get('session-id')curl --request GET \
--url https://api.hyperbrowser.ai/api/session/{id} \
--header 'x-api-key: <api-key>'
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startTime": "<string>",
"endTime": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"launchState": {
"useUltraStealth": true,
"useStealth": true,
"useProxy": true,
"solveCaptchas": true,
"solverType": "visual",
"adblock": true,
"trackers": true,
"annoyances": true,
"screen": {
"width": 1280,
"height": 720
},
"enableWebRecording": true,
"enableVideoWebRecording": true,
"enableLogCapture": true,
"acceptCookies": true,
"profile": {
"id": "<string>",
"persistChanges": true,
"persistNetworkCache": true
},
"staticIpId": "<string>",
"saveDownloads": true,
"enableWindowManager": true,
"enableWindowManagerTaskbar": true,
"viewOnlyLiveView": true,
"disablePasswordManager": true,
"enableAlwaysOpenPdfExternally": true,
"disablePostQuantumKeyAgreement": true
},
"creditsUsed": 123,
"sessionUrl": "<string>",
"liveUrl": "<string>",
"token": "<string>",
"wsEndpoint": "<string>",
"webdriverEndpoint": "<string>",
"computerActionEndpoint": "<string>"
}{
"message": "<string>"
}Sessions
Get session by ID
GET
/
api
/
session
/
{id}
JavaScript
import { Hyperbrowser } from '@hyperbrowser/sdk';
const client = new Hyperbrowser({ apiKey: 'your-api-key' });
await client.sessions.get('session-id');from hyperbrowser import Hyperbrowser
client = Hyperbrowser(api_key='your-api-key')
client.sessions.get('session-id')Authorizations
Path Parameters
Response
Session details
Available options:
active, closed, error, close-error Show child attributes
Show child attributes
Was this page helpful?
⌘I